Package org.italiangrid.voms.util

# Enum NullListener

java.lang.Object
java.lang.Enum<NullListener>
org.italiangrid.voms.util.NullListener

All Implemented Interfaces:
  `Serializable`, `Comparable<NullListener>`, `java.lang.constant.Constable`, `Thread.UncaughtExceptionHandler`, `ACLookupListener`, `ValidationResultListener`, `LoadCredentialsEventListener`, `VOMSProtocolListener`, `VOMSRequestListener`, `VOMSServerInfoStoreListener`, `VOMSTrustStoreStatusListener`

public enum NullListener extends Enum<NullListener> implements ACLookupListener, ValidationResultListener, VOMSServerInfoStoreListener, LoadCredentialsEventListener, VOMSTrustStoreStatusListener, Thread.UncaughtExceptionHandler, VOMSRequestListener, VOMSProtocolListener
A Singleton Listener which swallows notification.

Author:
  andreaceccanti

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyACLookupEvent(X509Certificate[] chain, int chainLevel)`
Informs that an AC is being looked for in the cert chain passed as argument.
`void`
`notifyACParseEvent(X509Certificate[] chain, int chainLevel)`
Informs that an AC has been succesfully parsed from the cert chain passed as argument
`void`
`notifyCertficateLookupEvent(String dir)`
Informs that certificates are being looked for in the directory passed as argument
`void`
`notifyCertificateLoadEvent(X509Certificate cert, File f)`
Informs that a VOMS AA certificate has been loaded in the store
`void`
`notifyCredentialLookup(String... locations)`
Informs that credentials are been looked for in the locations passed as argument.
`void`
`notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)`
Informs that errors were included in the VOMS response produced by a VOMS server
`void`
`notifyHTTPRequest(String url)`
Informs that a VOMS HTTP GET request is being issued for the URL passed as argument
`void`
`notifyLegacyRequest(String xmlLegacyRequest)`
Informs that a VOMS legacy request is being issued
`void`
`notifyLoadCredentialFailure(Throwable error, String... locations)`
Informs that credentials could not be loaded form the locations passed as argument.
`void`
`notifyLoadCredentialSuccess(String... locations)`
Informs that credentials have been succesfully loaded from the credentials passed as argument.
`void`
`notifyLSCLoadEvent(LSCInfo lsc, File f)`
Informs that VOMS LSC information has been loaded in the store
`void`
`notifyLSCLookupEvent(String dir)`
Informs that VOMS LSC file information is being looked for in the directory passed as argument.
`void`
`notifyNoValidVOMSESError(List<String> searchedPaths)`
Informs that no valid VOMS information was found on the system.
`void`
`notifyReceivedResponse(VOMSResponse r)`
Informs that a VOMSResponse was received from a remote VOMS server
`void`
`notifyTrustStoreUpdate(VOMSTrustStore store)`
`void`
`notifyValidationResult(VOMSValidationResult result)`
Informs of the result of the validation of a set of `VOMSAttribute`
`void`
`notifyVOMSESInformationLoaded(String vomsesPath, VOMSServerInfo info)`
Informs that VOMSES information was succesfully loaded from a given path
`void`
`notifyVOMSESlookup(String vomsesPath)`
Informs that VOMSES is being search at the path passed as argument
`void`
`notifyVOMSRequestFailure(VOMSACRequest request, VOMSServerInfo endpoint, Throwable error)`
Informs of a VOMS request failure
`void`
`notifyVOMSRequestStart(VOMSACRequest request, VOMSServerInfo si)`
Informs of the start of a request to a VOMS server
`void`
`notifyVOMSRequestSuccess(VOMSACRequest request, VOMSServerInfo endpoint)`
Informs of the succesfull conclusion of a request to a VOMS server
`void`
`notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)`
Informs that warnings were included in the VOMS response produced by a VOMS server
`void`
`uncaughtException(Thread t, Throwable e)`
`static NullListener`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NullListener[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final NullListener INSTANCE

## Method Details

### values

public static NullListener[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static NullListener valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### notifyVOMSRequestStart

public void notifyVOMSRequestStart(VOMSACRequest request, VOMSServerInfo si)
Description copied from interface: `VOMSRequestListener`
Informs of the start of a request to a VOMS server

Specified by:
  `notifyVOMSRequestStart` in interface `VOMSRequestListener`
Parameters:
  `request` - the request
  `si` - the VOMS server endpoint information

### notifyVOMSRequestSuccess

public void notifyVOMSRequestSuccess(VOMSACRequest request, VOMSServerInfo endpoint)
Description copied from interface: `VOMSRequestListener`
Informs of the succesfull conclusion of a request to a VOMS server

Specified by:
  `notifyVOMSRequestSuccess` in interface `VOMSRequestListener`
Parameters:
  `request` - the request
  `endpoint` - the VOMS server endpoint information

### notifyVOMSRequestFailure

public void notifyVOMSRequestFailure(VOMSACRequest request, VOMSServerInfo endpoint, Throwable error)
Description copied from interface: `VOMSRequestListener`
Informs of a VOMS request failure

Specified by:
  `notifyVOMSRequestFailure` in interface `VOMSRequestListener`
Parameters:
  `request` - the request
  `endpoint` - the VOMS server endpoint information
  `error` - the error related with the failure

### notifyErrorsInVOMSReponse

public void notifyErrorsInVOMSReponse(VOMSACRequest request, VOMSServerInfo si, VOMSErrorMessage[] errors)
Description copied from interface: `VOMSRequestListener`
Informs that errors were included in the VOMS response produced by a VOMS server

Specified by:
  `notifyErrorsInVOMSReponse` in interface `VOMSRequestListener`
Parameters:
  `request` - the request related to the received response
  `si` - the VOMS server endpoint information
  `errors` - the error messages included in the response

### notifyWarningsInVOMSResponse

public void notifyWarningsInVOMSResponse(VOMSACRequest request, VOMSServerInfo si, VOMSWarningMessage[] warnings)
Description copied from interface: `VOMSRequestListener`
Informs that warnings were included in the VOMS response produced by a VOMS server

Specified by:
  `notifyWarningsInVOMSResponse` in interface `VOMSRequestListener`
Parameters:
  `request` - the request related to the received response
  `si` - the VOMS server endpoint information
  `warnings` - the warning messages included in the response

### uncaughtException

public void uncaughtException(Thread t, Throwable e)

Specified by:
  `uncaughtException` in interface `Thread.UncaughtExceptionHandler`

### notifyTrustStoreUpdate

public void notifyTrustStoreUpdate(VOMSTrustStore store)

### notifyCertficateLookupEvent

public void notifyCertficateLookupEvent(String dir)
Description copied from interface: `VOMSTrustStoreStatusListener`
Informs that certificates are being looked for in the directory passed as argument

Specified by:
  `notifyCertficateLookupEvent` in interface `VOMSTrustStoreStatusListener`
Parameters:
  `dir` - the directory where certificates are being looked for

### notifyLSCLookupEvent

public void notifyLSCLookupEvent(String dir)
Description copied from interface: `VOMSTrustStoreStatusListener`
Informs that VOMS LSC file information is being looked for in the directory passed as argument.

Specified by:
  `notifyLSCLookupEvent` in interface `VOMSTrustStoreStatusListener`
Parameters:
  `dir` - the directory where certificates are being looked for

### notifyCertificateLoadEvent

public void notifyCertificateLoadEvent(X509Certificate cert, File f)
Description copied from interface: `VOMSTrustStoreStatusListener`
Informs that a VOMS AA certificate has been loaded in the store

Specified by:
  `notifyCertificateLoadEvent` in interface `VOMSTrustStoreStatusListener`
Parameters:
  `cert` - the VOMS AA certificate loaded
  `f` - the file from which the certificate has been loaded

### notifyLSCLoadEvent

public void notifyLSCLoadEvent(LSCInfo lsc, File f)
Description copied from interface: `VOMSTrustStoreStatusListener`
Informs that VOMS LSC information has been loaded in the store

Specified by:
  `notifyLSCLoadEvent` in interface `VOMSTrustStoreStatusListener`
Parameters:
  `lsc` - the loaded VOMS LSC information
  `f` - the file from which the LSC information has been loaded

### notifyCredentialLookup

public void notifyCredentialLookup(String... locations)
Description copied from interface: `LoadCredentialsEventListener`
Informs that credentials are been looked for in the locations passed as argument.

Specified by:
  `notifyCredentialLookup` in interface `LoadCredentialsEventListener`
Parameters:
  `locations` - the locations (as strings) where the credentials are being searched

### notifyLoadCredentialSuccess

public void notifyLoadCredentialSuccess(String... locations)
Description copied from interface: `LoadCredentialsEventListener`
Informs that credentials have been succesfully loaded from the credentials passed as argument.

Specified by:
  `notifyLoadCredentialSuccess` in interface `LoadCredentialsEventListener`
Parameters:
  `locations` - the locations (as strings) where the credentials are being searched

### notifyLoadCredentialFailure

public void notifyLoadCredentialFailure(Throwable error, String... locations)
Description copied from interface: `LoadCredentialsEventListener`
Informs that credentials could not be loaded form the locations passed as argument.

Specified by:
  `notifyLoadCredentialFailure` in interface `LoadCredentialsEventListener`
Parameters:
  `error` - the `Throwable` that caused the credential load operation to fail
  `locations` - the locations where the credentials where loaded from

### notifyNoValidVOMSESError

public void notifyNoValidVOMSESError(List<String> searchedPaths)
Description copied from interface: `VOMSServerInfoStoreListener`
Informs that no valid VOMS information was found on the system.

Specified by:
  `notifyNoValidVOMSESError` in interface `VOMSServerInfoStoreListener`
Parameters:
  `searchedPaths` - the list of searched paths

### notifyVOMSESlookup

public void notifyVOMSESlookup(String vomsesPath)
Description copied from interface: `VOMSServerInfoStoreListener`
Informs that VOMSES is being search at the path passed as argument

Specified by:
  `notifyVOMSESlookup` in interface `VOMSServerInfoStoreListener`
Parameters:
  `vomsesPath` - the path where VOMSES information are being looked for

### notifyVOMSESInformationLoaded

public void notifyVOMSESInformationLoaded(String vomsesPath, VOMSServerInfo info)
Description copied from interface: `VOMSServerInfoStoreListener`
Informs that VOMSES information was succesfully loaded from a given path

Specified by:
  `notifyVOMSESInformationLoaded` in interface `VOMSServerInfoStoreListener`
Parameters:
  `vomsesPath` - the path where VOMSES information was loaded from
  `info` - the `VOMSServerInfo` voms endpoint information

### notifyValidationResult

public void notifyValidationResult(VOMSValidationResult result)
Description copied from interface: `ValidationResultListener`
Informs of the result of the validation of a set of `VOMSAttribute`

Specified by:
  `notifyValidationResult` in interface `ValidationResultListener`
Parameters:
  `result` - the validation result

### notifyACLookupEvent

public void notifyACLookupEvent(X509Certificate[] chain, int chainLevel)
Description copied from interface: `ACLookupListener`
Informs that an AC is being looked for in the cert chain passed as argument.

Specified by:
  `notifyACLookupEvent` in interface `ACLookupListener`
Parameters:
  `chain` - the chain where the AC is looked for
  `chainLevel` - the level in the chain where the AC is being looked for

### notifyACParseEvent

public void notifyACParseEvent(X509Certificate[] chain, int chainLevel)
Description copied from interface: `ACLookupListener`
Informs that an AC has been succesfully parsed from the cert chain passed as argument

Specified by:
  `notifyACParseEvent` in interface `ACLookupListener`
Parameters:
  `chain` - the chain from which the AC has been parsed
  `chainLevel` - the level in the chain where the AC has been parsed

### notifyHTTPRequest

public void notifyHTTPRequest(String url)
Description copied from interface: `VOMSProtocolListener`
Informs that a VOMS HTTP GET request is being issued for the URL passed as argument

Specified by:
  `notifyHTTPRequest` in interface `VOMSProtocolListener`
Parameters:
  `url` - the request url

### notifyLegacyRequest

public void notifyLegacyRequest(String xmlLegacyRequest)
Description copied from interface: `VOMSProtocolListener`
Informs that a VOMS legacy request is being issued

Specified by:
  `notifyLegacyRequest` in interface `VOMSProtocolListener`
Parameters:
  `xmlLegacyRequest` - a string representation of the XML legacy request

### notifyReceivedResponse

public void notifyReceivedResponse(VOMSResponse r)
Description copied from interface: `VOMSProtocolListener`
Informs that a VOMSResponse was received from a remote VOMS server

Specified by:
  `notifyReceivedResponse` in interface `VOMSProtocolListener`
Parameters:
  `r` - the received `VOMSResponse`